summaryrefslogtreecommitdiffstats
path: root/test/glib/run-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/glib/run-test.sh')
-rwxr-xr-xtest/glib/run-test.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/glib/run-test.sh b/test/glib/run-test.sh
index 5d0317a3..473946a9 100755
--- a/test/glib/run-test.sh
+++ b/test/glib/run-test.sh
@@ -61,9 +61,9 @@ if test x$MODE = xprofile ; then
if test x$PROFILE_TYPE = x ; then
PROFILE_TYPE=all
fi
- $DEBUG $DBUS_TOP_BUILDDIR/test/glib/test-profile $PROFILE_TYPE || die "test-profile failed"
+ libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/glib/test-profile $PROFILE_TYPE || die "test-profile failed"
else
- $DEBUG $DBUS_TOP_BUILDDIR/test/glib/test-dbus-glib || die "test-dbus-glib failed"
+ libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/glib/test-dbus-glib || die "test-dbus-glib failed"
fi
## we kill -TERM so gcov data can be written out